camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CAMEL-7819) Feature validation of camel-spring-ws is failing
Date Sun, 30 Nov 2014 14:27:12 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-7819?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Claus Ibsen updated CAMEL-7819:
-------------------------------
    Issue Type: Task  (was: Bug)

> Feature validation of camel-spring-ws is failing
> ------------------------------------------------
>
>                 Key: CAMEL-7819
>                 URL: https://issues.apache.org/jira/browse/CAMEL-7819
>             Project: Camel
>          Issue Type: Task
>          Components: camel-spring-ws, osgi
>    Affects Versions: 2.15.0
>            Reporter: Christian Müller
>
> After upgrading to Spring 4, the feature validation of camel-spring-ws is failing:
> {noformat}
> cmueller$ mvn install -Pvalidate
> ...
> [WARNING] Failed to validate feature camel-spring-ws
> [WARNING] No export found to match org.springframework.jms.listener;version="[3.2.4,
4.0.0)" (imported by mvn:org.springframework.ws/spring-ws-support/2.1.4.RELEASE)
> [WARNING] No export found to match org.springframework.oxm;version="[3.2.4, 4.0.0)" (imported
by mvn:org.springframework.ws/spring-ws-core/2.1.4.RELEASE)
> [WARNING] No export found to match org.springframework.jms.core;version="[3.2.4, 4.0.0)"
(imported by mvn:org.springframework.ws/spring-ws-support/2.1.4.RELEASE)
> [WARNING] No export found to match org.springframework.web.util;version="[3.2.4, 4.0.0)"
(imported by mvn:org.springframework.ws/spring-ws-core/2.1.4.RELEASE)
> [WARNING] No export found to match org.springframework.jms;version="[3.2.4, 4.0.0)" (imported
by mvn:org.springframework.ws/spring-ws-support/2.1.4.RELEASE)
> [WARNING] No export found to match org.springframework.jms.support;version="[3.2.4, 4.0.0)"
(imported by mvn:org.springframework.ws/spring-ws-support/2.1.4.RELEASE)
> [WARNING] No export found to match org.springframework.web.context;version="[3.2.4, 4.0.0)"
(imported by mvn:org.springframework.ws/spring-ws-core/2.1.4.RELEASE)
> [WARNING] No export found to match org.springframework.web.servlet;version="[3.2.4, 4.0.0)"
(imported by mvn:org.springframework.ws/spring-ws-core/2.1.4.RELEASE)
> [WARNING] No export found to match org.springframework.oxm.mime;version="[3.2.4, 4.0.0)"
(imported by mvn:org.springframework.ws/spring-ws-core/2.1.4.RELEASE)
> [WARNING] No export found to match org.springframework.jms.support.destination;version="[3.2.4,
4.0.0)" (imported by mvn:org.springframework.ws/spring-ws-support/2.1.4.RELEASE)
> [WARNING] No export found to match org.springframework.jms.connection;version="[3.2.4,
4.0.0)" (imported by mvn:org.springframework.ws/spring-ws-support/2.1.4.RELEASE)
> {noformat}
> Upgrading to version 2.2.0.RELEASE (which is using Spring 4) isn't an option at present,
because it's not an OSGI bundle anymore and there is no OSGI bundle from the SMX guys at present:
> {noformat}
> cmueller$ mvn install -Pvalidate
> ...
> [ERROR] Failed to execute goal org.apache.karaf.tooling:features-maven-plugin:2.3.7:validate
(validate) on project apache-camel: Unable to validate /Users/cmueller/workspaceCamel/camel/platforms/karaf/features/target/classes/features.xml:
mvn:org.springframework.ws/spring-xml/2.2.0.RELEASE is not an OSGi bundle -> [Help 1]
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message